Reimbursements
Create Expense Claim
POST
/
api
/
v1
/
reimbursements
/
expense-claims
Create Expense Claim
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/reimbursements/expense-claims \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lines": [
{
"amount": 123,
"category": "<string>",
"expenseAccountKey": "<string>",
"materialId": "<string>",
"description": "<string>",
"taxAmount": "0",
"lineNumber": 123
}
],
"claimNumber": "<string>",
"employeeId": "<string>",
"employeeName": "<string>",
"claimDate": "2023-12-25",
"currency": "<string>",
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/reimbursements/expense-claims"
payload = {
"lines": [
{
"amount": 123,
"category": "<string>",
"expenseAccountKey": "<string>",
"materialId": "<string>",
"description": "<string>",
"taxAmount": "0",
"lineNumber": 123
}
],
"claimNumber": "<string>",
"employeeId": "<string>",
"employeeName": "<string>",
"claimDate": "2023-12-25",
"currency": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lines: [
{
amount: 123,
category: '<string>',
expenseAccountKey: '<string>',
materialId: '<string>',
description: '<string>',
taxAmount: '0',
lineNumber: 123
}
],
claimNumber: '<string>',
employeeId: '<string>',
employeeName: '<string>',
claimDate: '2023-12-25',
currency: '<string>',
notes: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/reimbursements/expense-claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"claimDate": "2023-12-25",
"status": "<string>",
"currency": "<string>",
"subtotal": "<string>",
"taxAmount": "<string>",
"totalAmount": "<string>",
"glPosted": true,
"claimNumber": "<string>",
"employeeId": "<string>",
"employeeName": "<string>",
"notes": "<string>",
"lines": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Show child attributes
Show child attributes
⌘I
Create Expense Claim
